﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    image kera = "kera_one.png"
    image teirn = "teirn_one.PNG"
    image bg memory = "memory.PNG"
    image bg memory_two = "memory_two.PNG"
    image bg memory_three = "memory_three.png"
    image white = "white.PNG"
    image hand = "hand.PNG" 
    image t_hand = "teirn_hand.png"
    image t_face = "teirn_face.png"
    image t_mouth = "teirn_mouth.png"
    image t_cross = "teirn_cross.png"
    image k_chest = "kera_chest.png"
    image k_hips = "kera_hips.png"
    image k_face = "kera_face.png"
    image wall = "white_wall.PNG"
    image fireplace = "fireplace.png"
    image arrie = "demon.png"
    image goodending = "goodending.png"
    image dollend = "dollend.png"
    image roam = "roamending.png"
    
    # Declare characters used by this game.
    $ k = Character('Kera', color="#c8ffc8")
    $ t = Character('Teirn', color="#c8ffc8")
    $ a = Character('Arrie', color="#c8ffc8")
# The game starts here.
label start:
    $ name = False
    $ mean = False
    $ blood = False
    $ arrie = False
    
    "I can remember heat...flames beneath me and smoke above.  Giant clouds of it that blocked out the sun."
    "A pole behind me, and rough rope tied around my wrists, 
                                            my legs,
                                                            my neck."
    "Everything else is a blur."
    
    scene bg memory
    
    "The people, the huts, the trees."  
    "The hurried beat of my heart."
    "I can feel the flames growing higher, and hear someone screaming, frantically."
    
    scene bg memory_two
    
    "Then.. the trees move aside, and there's another blur, 
            coming towards me."
    
    scene bg memory_three
    
    "It's brown and gray, and soon it's all I can see."
    "Suddenly there's a massive weight on me, 
                        and then a sharp pain rips through my throat."
    "Tears roll down my face and the screaming stops..."
    
    scene black
    with fade
    
    "Everything fades to black, and I feel horribly betrayed."
    "   "
    "   "
    
    scene white
    with dissolve
    
    k "Bright..."
    
    show hand
    
    k "What?  Why is my hand..."
    t "You're here."
    hide hand
    scene wall
    show t_hand
    
    t "Let me help you up."
    
    menu: 
        
        "Who are you?":
            jump who
        
        "What's wrong with my hand?":
            jump what
        
        "Thanks.":
            jump thanks
        
    label who:
        
        $ name = True
        
        t "Oh, sorry.  I'm Teirn."
        t "Your name is?"
        k "Kera."
            
    menu:
        
        "Thanks, I'll take that hand up Teirn.":
            jump thanks
        
        "Do you know what's wrong with my hand?":
            jump what
        
    label thanks: 
        
        show wall
        show k_chest at right
        hide t_hand
        show teirn at left
        
        k "I... don't know where this is."
        t "It's alright."
        k "What do you mean?"
        
        hide k_chest
        show k_hips at right
        
        k "I don't know where I am, or how I got here, and you think that's 'alright'?"
        
        hide teirn
        show t_face at left
        
        t "I..."
        t "I'm sorry.  I didn't mean. that.  Let me explain."
        k "..."
        k "Alright."
            
        if name:
            jump explanation_2
            
        jump explanation
            
    label what:
        $ mean = True
        hide t_hand
        scene wall
        show teirn at left
        show kera at right
        t "That's simple.  You're not real."
        k "What do you mean by that?"
        t "What I said."
        if name: 
            jump explanation_2
        
    label explanation:
        scene wall
        show t_face at left
        show k_hips at right
        
        t "My name is Teirn."
        hide t_face
        show t_hand at left
        k "Kera.  Now get on with it."
        hide t_hand
        show t_face at left
        
    label explanation_2:    
        scene wall
        show k_hips at right
        show t_face at left
        
        t "I... hoped I wouldn't have to tell you this but, you're not real anymore."
        k "What do you mean?"
        if mean: 
            t "You keep asking that."
        hide k_hips
        show kera at right
        t "You are a doll."
        
        menu:
            
            "Well, you're cute yourself but...":
                jump joke
            
            "You're mistaken.":
                jump denial
                
    label joke:
        scene wall
        show t_face at left
        show kera at right
        t "*smiles sadly*"
        t "Thanks I guess but..."
        hide t_face
        show teirn at left
        t "You're not stupid. I know you know what I mean."
        
        menu:
            
            "Yeah...":
                jump acceptance
                
            "No.":
                jump denial
                
    label denial:
        scene wall
        show teirn at left
        show kera at right
        
        k "I'm a person."
        t " I told you, you're not real.  Either am I."
        k "But I... I remember pain."
        hide kera
        show k_chest at right
        k "A....a...doll can't feel betrayal."
        t "What?"
        k "There were...teeth and fur and..."
        show k_face at right
        hide k_chest
        t "..."
        hide teirn
        show t_hand at left
        t "Why don't you sit for a minute?  You seem upset. I'll let you be alone."
        k "Thanks..."
        jump later
            
    label acceptance:
        show wall
        hide kera
        hide t_face
        show k_chest at right
        show teirn at left
        
        k "Are...you fake too?"
        t "Yeah."
        hide k_chest
        show kera at right
        k "How?"
        t "I don't know.  The last thing I remember from...before is screaming, and the smell of burning fur."
        k "That's..."
        t "Weird? I know."
            
        menu:
            
            "Yeah, very weird.":
                jump weird
                
            "No... Familiar.":
                jump familiar
                
    label weird:
        scene wall
        show kera at right
        show t_cross at left
        t "Do you mind if I leave for a bit?  I want to take a walk."
        k "That's fine.  I guess I should try thinking some?"
        show teirn at left
        t "Try not to worry about it.  It's alright, really."
        k "Thanks."
        scene black with fade
        "   "
        "   "
        jump later
        
    label familiar:
        scene wall
        show kera at right
        show teirn at left
        t "Really?"
        k "Yeah.  The screaming... and there was fire."
        hide kera
        show k_chest at right
        t "...There was something else."
        hide teirn
        show t_mouth at left
        k "What?"
        t "The taste of blood..."
        
        menu:
                
            "Scary...":
                jump weird
            
            "*Touches throat*":
                jump blood
                
    label blood:
        $ blood = True
        scene wall
        show k_chest
        show t_hand at left
        t "Are you okay?"
        show bg memory_three
        k "..."
        hide bg memory_three
        k "Yeah... It's just..."
        k "I remember something ripping through my throat."
        hide t_hand
        show t_mouth at left
        t "I..."
        hide k_chest
        show kera at right
        k "You should...go for a walk."
        k "Think about something else maybe."
        k "I think I'll look around."
        t "But..."
        k "Shut up."
        k "It's not real anyway, is it?"
        t "I guess."
        t "See you later."
        hide t_mouth    
        
    label walk:
        k "He's gone... I should-"
        
        menu:
            "Wait here.":
                jump later
            "Look around a bit.":
                jump demon
                
    label demon:
        $ arrie = True
        scene fireplace
        show kera
        k "There's nothing here..."
        a "Shame."
        hide kera
        show k_chest
        k "Who? Tei-"
        a "Oh hush."
        hide k_chest
        show arrie at left
        show kera at right
        k "No!"
        a "I'm not going to hurt you.  Couldn't, actually.  Can't hurt something fake, just break it."
        k "Ha."
        a "Well, if you don't want to listen..."
            
        menu:
            "No, I don't.  Good-bye!":
                jump later
                
            "...Listen to what?":
                jump demon_2
                
    label demon_2:
        a "Just a story, about a witch and a wolf."
        k "Alright, I'm interested."
        a "I thought so."
        scene black with fade
        show arrie 
        a "Once, there was a bush-witch.  She kept to herself, away from humans."
        a "One day she met a wolf.  He was hungry, and packless."
        a "The Witch felt pity for him and led him to large flock of sheep."
        a "He took one, and she waited until he'd left to go."
        a "He offered no thanks, and she expected none."
        a "But the shepherd saw them go, and was angry."
        a "The village had known of her, but both would ignore the other."
        a "When the shepherd brought his tale, the villagers whispered."
        a "But because the witch had been peaceful until then, did nothing."
        a "The shepherd was furious!"
        a "Determined to make the villagers exact his revenge for him, he slowly picked off his own sheep one by one."
        a "When he went to the villagers a second time, they listened."
        a "For now, they feared for their own flocks."
        a "So the witch was lured into the village with pleas of help, and tied to a post by the shepherd himself."
        a "The witch screamed as the villagers piled logs around her feet and set them aflame."
        a "Hearing her screams, the wolf came."
        a "When he broke through the woods, the villagers ran, and the shepherd hid and watched as it leaped and tore out the throat of the bush-witch."
        a "Then he took a knife and killed the wolf as it lay with her, and both were burnt up."
        hide arrie
        scene fireplace
        show arrie at left
        show kera at right
        
        k "Is... that story true?"
        a "No.  I heard someone create it once."
        k "But I have lived it."
        a "Then you are fake as well."
        k "Are you?"
        a "I am real."
        hide arrie
        k "Wait!"
        k "..."
        k "She's gone..."
        show teirn at left
        t "Who is?"
        k "The demon."
        t "There's no one else here Kera."
        k "She said she was real."
        k "She... told me our story, I think."
        t "What 'our'?"
        k "A witch and a wolf."
        t "Fiction then?"
        k "She saves him starving to death and he saves he burning alive."
        t "So a tragedy."
        k "He rips out her throat."
        hide teirn
        show t_face at left
        t "..."
        hide t_face
        show teirn at left
        k "I think you lied to me."
        t "For what reason?"
        k "If she is real then I am."
        t "But-"
        k "Not alive, but real."
        k "I think, if I were to fall into a pond, it would ripple."
        t "It would."
        k "Then we are real, more so then our memories."
        t "Will you stay here then, with me?"
            
        menu:
                
            "No":
                jump end_1
            "I think..I will.":
                jump end_2
                    
    label end_2:
        k "I have nowhere else to go, and..."
        k "There must be a reason we met again."
        k "So, I'll stay."
        t "Thank you."
        
        scene black with fade
        "   "
        scene goodending with fade
        
        "And so the two stayed together, slowly growing closer in the empty place where they had come together."
        "More came after them, who they welcomed together."
        "So they stayed, until the end of things when they were both naught but a story again."
        "   "
        "Fairy-tale Ending"
        return
        
    label end_1:
        k "I'm sorry but...what if it just happens again?  History repeats itself."
        k "I have to go."
        t "I'll be here."
        k "Thank you."
        scene black with fade
    
        "And so the once-witch left the once-wolf and journeyed out to seek her fortune."
        "She tried her best to block out the memories, and found happiness."
        "But she never returned to see him gathering dust."
        "  "
        "Own Happiness Ending"
        return
        
    label later:
        scene wall
        show kera at right
        if blood:
            k "I don't know what to think..."
            k "Something must have happened but..."
            menu:
                "We need to find out what it was.":
                    jump ending_3
                    
                "It's not important.":
                    jump later_2
                    
    label later_2:
        scene wall
        show kera at right
        "  "
        "  "
        "  "
        "  "
        k "I wonder how long it will be until Teirn gets back..."
        show t_cross at left
        t "Why, did you miss me?"
        k "I-"
        hide t_cross
        show teirn at left
        t "Teasing."
        k "Oh."
        hide kera
        show k_chest at right
        t "Have you calmed down a bit?"
        k "Yeah... I'm alright, how about you?"
        t "Fine."
        t "I guess... you want me to explain the whole doll thing?"
        menu:
            "Yeah.":
                jump later_3
                
            "It's... not that important.":
                jump later_4
                
    label later_3:
        t "More or less...  Things just look out of scale.  You're in a shell.  You can go about as normal, but you can't move when something living sees you."
        k "Why not?"
        t "It's not a rule.  You just... can't."
        k "Okay..."
        t "It's not that bad, really.  Sometimes people will be at least in tune enough to hear you though. Once or twice I've been able to read their thoughts."
        k "Are there any... here?"
        t "Yes.  A girl.  This...  right now, what you're in is a dollhouse."
        k "Really?"
        hide k_chest
        show kera at right
        t "It's big, I know, but as long as you stay here you don't feel small."
        t "I think... We're drawn here, into these bodies."
        k "..."
        t "A bit silly I know, but how else could it be?"
        k "It's... sort of a romantic thought."
        t "There were others here, before, but they're gone.  The girl just glances in now, sometimes smiles, and tries to make me comfortable."
        t "She used to take pictures and listen to stories."
        k "Why?  Why not leave you alone, and then why stop?"
        t "I don't think there's a real explanation.  But I left once, and she was horrified."
        k "You came back?"
        t "She was crying."
        k "...So, it would be good to stay?"
        t "Yes."
        k "Then I will, as long as you do. There's nowhere else I know to go and you shouldn't need a giant for company."
        t "I won't."
        
        scene black with fade
        
        "And so they stayed, living double lives..."
        scene dollend with fade
        "Playthings by day, and free at night.  Never questioning what had been, but happy in their ignorance."
        "   "
        "Doll-House Ending"
        return
        
    label ending_3:
        k "Alright... That's what I'll do.  All that's left is to wait."
        scene black with fade
        "   "
        scene wall 
        show kera at right
        with fade
        "   "
        show teirn at left
        t "Hello again."
        k "You're back."
        t "Yeah."
        k "I... I've decided something."
        t "What is it?"
        k "I don't care if what I am now isn't real."
        t "Alright."
        k "I want to find out the truth of my memories and..."
        k "I don't think I'm going to find that out here."
        hide teirn
        show t_face at left
        t "I see."
        k "No.  I want you to come with me."
        hide t_face
        show teirn at left
        k "You have memories too.  Your answers aren't here either."
        t "The world's not as you remember it."
        k "But you know what it's like.  Come with me, please?"
        t "..."
        t "Yes.  I mean, I'll come."
        k "Thank you."
        
        scene black with fade
        "So after a time the two left, to seek their past."
        scene roam with fade
        "They traveled many paths, and asked countless questions.  They fought at times, and doubted themselves and each other."
        
        "Then, years later they came upon a shepherd's journal from long ago."
        "Having finally reached what they'd sought for so long, they shipped it back to the empty house without a look or second thought, and journeyed on together."
        "   "
        "Roam Ending"
        return
        
    label later_4:
        t "Not that... Important?  It's..."
        k "You didn't want to tell me, now you do?"
        t "It's not that but..."
        k "I just realized that I'm actually not that worried.  About anything."
        t "No."
        k "Why not?"
        t "If you don't care about something, you'll stop.  You'll lose what's in the dark behind your eyes. It'll just be wat you see, no you."
        k "I told you I didn't care."
        hide teirn
        show t_cross at left
        t "You really don't, do you?"
        k "I have no interest in what's past, or what's to come.  I don't need warnings."
        t "So you'll leave me here with a shell that sits and looks pretty?"
        if arrie:
            k "A demon told me I'm not real."
            t "Again with the demon?"
            k "There are more thing-"
            t "You're mad."
            k "No."
            t "You're quoting."
            k "Then if I'm so mad let me be.  Maybe when you come back I'll be sane."
            hide t_cross
            show t_hand at left
            t "Your wish is..."
            hide t_hand with fade
            " "
            scene black with fade
            "So she sat, and gathered dust, and stared at the world."
            "Her mind filled with the knowledge of 'how' and the blackness where she used to be a mere storage bank for data."
            "He'd sit and stare at her, but would leave before she could understand what she saw."
            "He couldn't help but think that he must be to blame somehow, and wished for her to wake again."
            "   "
            "Watcher Ending"
            return with fade
        
        k "I don't understand how..."
        t "I don't either.  But it's happened before."
        t "They were here when I got here... Just staring, like they'd given up."
        k "I want to see them."
        t "You don't believe me."
        k "..."
        t "Look just... stay for now, and then we'll sort things out.  I'll try to prove it.  Look forward to it, to something."
        k "Alright."
        t "I'll take you to an empty room, you can lock the door."
        k "Just for the night."
        hide t_cross
        show teirn at left
        t "Just for the night."
        scene black with fade
        
        "She stayed for the night, then the week, until it turned to months then years."
        "He held her interest, some days more then others, and she tried to understand how he thought."
        "Why her companionship seemed so important to him."
        "They kept their day to day, and he would smile at her in the morning.  He led his own way through life..."
        "And she followed."
        "   "
        "Follower Ending"
        return
        
        
            